Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.navigation
Class Param

    java.lang.Object
      org.jboss.seam.navigation.Param

    public final class Param

extends Object

Metadata for a <param/> in pages.xml

Author:
  Gavin King

Constructor Summary
`Param(String name)`

Method Summary
`Object` | `convertValueFromString(javax.faces.context.FacesContext facesContext, String value)` Convert the string value of a page parameter to the required type
`javax.faces.convert.Converter` | `getConverter()`
`String` | `getConverterId()`
`Expressions.ValueExpression` | `getConverterValueExpression()`
`String` | `getName()`
`String` | `getStringValueFromModel(javax.faces.context.FacesContext facesContext)` Get the current value of a page or redirection parameter from the model, and convert to a String
`String` | `getStringValueFromRequest(javax.faces.context.FacesContext facesContext, Map<String,String[]> requestParameters)` Get the current value of a page parameter from the request parameters
`javax.faces.validator.Validator` | `getValidator()`
`String` | `getValidatorId()`
`Expressions.ValueExpression` | `getValidatorValueExpression()`
`Expressions.ValueExpression` | `getValueExpression()`
`boolean` | `isRequired()`
`void` | `setConverterId(String converterId)`
`void` | `setConverterValueExpression(Expressions.ValueExpression converterValueExpression)`
`void` | `setRequired(boolean required)`
`void` | `setValidatorId(String validatorId)`
`void` | `setValidatorValueExpression(Expressions.ValueExpression validatorValueExpression)`
`void` | `setValueExpression(Expressions.ValueExpression valueExpression)`
`String` | `toString()`
`void` | `validateConvertedValue(javax.faces.context.FacesContext facesContext, Object value)` Validate the pre-converted value of the parameter using the JSF validator specified in pages.xml, and using Hibernate Validator annotations specified on the model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Param

    public Param(String name)

Method Detail

### getConverter

    public javax.faces.convert.Converter getConverter()

### getValidator

    public javax.faces.validator.Validator getValidator()

### getName

    public String getName()

### setValueExpression

    public void setValueExpression(Expressions.ValueExpression valueExpression)

### getValueExpression

    public Expressions.ValueExpression getValueExpression()

### setConverterValueExpression

    public void setConverterValueExpression(Expressions.ValueExpression converterValueExpression)

### getConverterValueExpression

    public Expressions.ValueExpression getConverterValueExpression()

### setConverterId

    public void setConverterId(String converterId)

### getConverterId

    public String getConverterId()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getStringValueFromModel

    public String getStringValueFromModel(javax.faces.context.FacesContext facesContext)

  Get the current value of a page or redirection parameter from the model, and convert to a String

### getStringValueFromRequest

    public String getStringValueFromRequest(javax.faces.context.FacesContext facesContext,
                                            Map<String,String[]> requestParameters)
                                     throws javax.faces.validator.ValidatorException

  Get the current value of a page parameter from the request parameters

  Throws:
    `javax.faces.validator.ValidatorException`

### convertValueFromString

    public Object convertValueFromString(javax.faces.context.FacesContext facesContext,
                                         String value)

  Convert the string value of a page parameter to the required type

### validateConvertedValue

    public void validateConvertedValue(javax.faces.context.FacesContext facesContext,
                                       Object value)

  Validate the pre-converted value of the parameter using the JSF validator specified in pages.xml, and using Hibernate Validator annotations specified on the model.

### getValidatorId

    public String getValidatorId()

### setValidatorId

    public void setValidatorId(String validatorId)

### getValidatorValueExpression

    public Expressions.ValueExpression getValidatorValueExpression()

### setValidatorValueExpression

    public void setValidatorValueExpression(Expressions.ValueExpression validatorValueExpression)

### isRequired

    public boolean isRequired()

### setRequired

    public void setRequired(boolean required)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD